First Last Prev Next    No search results available      Search page      Enter new bug
Bug#: 86715
Alias:
Product:
Component:
Status: RESOLVED
Resolution: FIXED
Assigned To: Seemant Kulleen (RETIRED) <seemant@gentoo.org>
Hardware:
OS:
Version:
Priority:
Severity:
Reporter: ceho@elit.net.pl
Add CC:
CC:
Remove selected CCs
URL:
Summary:
Status Whiteboard:
Keywords:

Filename Description Type Creator Created Size Actions
digitemp-3.3.2-ebuild.tar.gz ebuild for digitemp-3.3.2 application/gzip ceho@elit.net.pl 2005-03-29 05:04 0000 10.00 KB Details
digitemp-3.3.2-ebuild1.tar.gz Next version of ebuild application/gzip ceho@elit.net.pl 2005-03-29 11:54 0000 10.00 KB Details
digitemp-3.3.2.ebuild Ebuild for digitemp 3.3.2 text/plain ceho@elit.net.pl 2005-04-06 09:02 0000 2.20 KB Details
digitemp-3.3.2-nolockdev.patch patch needed to compile without liblockdev patch ceho@elit.net.pl 2005-04-06 09:04 0000 304 bytes Details | Diff
Create a New Attachment (proposed patch, testcase, etc.) View All

Bug 86715 depends on: Show dependency tree
Show dependency graph
Bug 86715 blocks:
Votes: 0    Show votes for this bug    Vote for this bug

Additional Comments: (this is where you put emerge --info)







View Bug Activity   |   Format For Printing   |   XML   |   Clone This Bug


Description:   Opened: 2005-03-25 15:42 0000
When I try to compile digitemp 3.3.1 I get:

ensima-gentoo digitemp-3.3.2 # emerge digitemp
Calculating dependencies ...done!
>>> emerge (1 of 1) app-misc/digitemp-3.3.1 to /
>>> md5 src_uri ;-) digitemp-3.3.1.tar.gz
>>> Unpacking source...
>>> Unpacking digitemp-3.3.1.tar.gz to /var/tmp/portage/digitemp-3.3.1/work
>>> Source unpacked.
rm -f *~ src/*~ userial/*~ userial/ds9097/*~ userial/ds9097u/*~ userial/ds2490/*~
rm -f src/digitemp.o src/device_name.o userial/crcutil.o userial/ioutil.o userial/swt1f.o userial/owerr.o userial/cnt1d.o userial/ad26.o  userial/ds9097/ownet.o userial/ds9097/linuxlnk.o userial/ds9097/linuxses.o userial/ds9097/owtran.o src/ds9097.o userial/ds9097u/ds2480ut.o userial/ds9097u/ownetu.o userial/ds9097u/owllu.o userial/ds9097u/owsesu.o userial/ds9097u/owtrnu.o userial/ds9097u/linuxlnk.o src/ds9097u.o userial/ds2490/ownet.o userial/ds2490/owtran.o userial/ds2490/usblnk.o userial/ds2490/usbses.o src/ds2490.o
rm -f core *.asc
rm -f perl/*~ rrdb/*~ .digitemprc digitemp-3.3.1-1.spec
rm -rf digitemp-3.3.1
 *
 * making for ds9097u serial controller. if you would like support
 * for another controller, please set SERIAL_DRIVER="ds9097u" or
 * SERIAL_DRIVER="ds9097" as appropriate
 *
gcc -I./src -I./userial -O2  -DLINUX -DLOCKDEV   -c -o src/digitemp.o src/digitemp.c
src/digitemp.c:379:21: lockdev.h: No such file or directory
make: *** [src/digitemp.o] B&#322;&#261;d 1
>>> Test phase [not enabled]: app-misc/digitemp-3.3.1

>>> Install digitemp-3.3.1 into /var/tmp/portage/digitemp-3.3.1/image/ category app-misc
>>> dobin: making digitemp executable...
install: Could not stat on `digitemp': No such file or directory

!!! ERROR: app-misc/digitemp-3.3.1 failed.

As you can see there is no lockdev.h file, so I tried to search it in portage:

ensima-gentoo digitemp-3.3.2 # emerge -S lockdev
Searching...
[ Results for search key : lockdev ]
[ Applications found : 0 ]

I search on google, and I've found these files:
http://download.fedora.redhat.com/pub/fedora/linux/core/updates/3/i386/lockdev-devel-1.0.1-4.1.i386.rpm
http://download.fedora.redhat.com/pub/fedora/linux/core/updates/3/i386/lockdev-1.0.1-4.1.i386.rpm

I've downloaded it and type:
rpm2targz lockdev-devel-1.0.1-4.1.i386.rpm
rpm2targz lockdev-1.0.1-4.1.i386.rpm

Then I decompressed archives and copied files to directories (same as in tar.gz file). Next I typed "ldconfig", and "emerge digitemp", and I get:

<cut>
gcc -I./src -I./userial -O2  -DLINUX -DLOCKDEV   -c -o userial/ds9097/linuxses.o userial/ds9097/linuxses.c
gcc -I./src -I./userial -O2  -DLINUX -DLOCKDEV   -c -o userial/ds9097/owtran.o userial/ds9097/owtran.c
gcc -I./src -I./userial -O2  -DLINUX -DLOCKDEV   -c -o src/ds9097.o src/ds9097.c
gcc src/digitemp.o src/device_name.o userial/crcutil.o userial/ioutil.o userial/swt1f.o userial/owerr.o userial/cnt1d.o userial/ad26.o  userial/ds9097/ownet.o userial/ds9097/linuxlnk.o userial/ds9097/linuxses.o userial/ds9097/owtran.o src/ds9097.o -o digitemp_DS9097 -lm -llockdev
>>> Test phase [not enabled]: app-misc/digitemp-3.3.1

>>> Install digitemp-3.3.1 into /var/tmp/portage/digitemp-3.3.1/image/ category app-misc
>>> dobin: making digitemp executable...
install: Could not stat on `digitemp': No such file or directory

!!! ERROR: app-misc/digitemp-3.3.1 failed.

As we can see it now compiles cleanly, but cannot install. I've made a patch for  
digitemp-3.3.1.ebuild file.

<patch starts here>
--- digitemp-3.3.1.ebuild       2005-03-26 00:30:42.356942904 +0100
+++ digitemp-3.3.1_good.ebuild  2005-03-26 00:22:53.000000000 +0100
@@ -18,5 +18,5 @@
        # passive ds9097. the ds9097u setting is what i have, so probably a safe
        # default - nothing special here.
-       local target="ds9097u"
+       target="ds9097u"
        [ "${SERIAL_DRIVER}" = ds9097 ] && target="ds9097"
        make clean
@@ -32,5 +32,11 @@

 src_install() {
-       dobin digitemp || die
+
+       case "$target" in
+         "ds9097") target="DS9097" ;;
+         "ds9097u") target="DS9097U" ;;
+       esac
+
+       dobin digitemp_$target || die
        dodoc README FAQ TODO
<end of patch>



Reproducible: Always
Steps to Reproduce:



Expected Results:  
It now compiles cleanly, but I cant find lockdev in portage - is it there ? If
no maybe someone could make a ebuild. And I propose to add lockdev to depends of
digitemp 3.3.1.

------- Comment #1 From ceho@elit.net.pl 2005-03-25 15:45:13 0000 -------
Maybe it's time to make ebuild for 3.3.2 too.

------- Comment #2 From Seemant Kulleen (RETIRED) 2005-03-28 07:11:55 0000 -------
ceho, I don't use this package, and I'm not sure who does -- if you would like
to be its maintainer via proxy (ie, me) then that arrangement would be well. 
Would you like to submit an ebuild for the version bump,and be the
proxy-maintainer?

------- Comment #3 From ceho@elit.net.pl 2005-03-28 12:16:38 0000 -------
The problem is that there is no lockdev package in the portage (or I can't find
it), but I also can't find homepage of this lib (only rpms or debian packages).

I would like to be a maintainer of digitemp, so I'll submit ebuild in a few
days, but like I said it depends on liblockdev, and this is the problem.

------- Comment #4 From ceho@elit.net.pl 2005-03-29 05:04:28 0000 -------
Created an attachment (id=54753) [edit]
ebuild for digitemp-3.3.2

This is digitemp-3.3.2 ebuild - no lockdev support for now.

------- Comment #5 From ceho@elit.net.pl 2005-03-29 11:54:14 0000 -------
Created an attachment (id=54783) [edit]
Next version of ebuild

I've patched stupid language error ;)

------- Comment #6 From Seemant Kulleen (RETIRED) 2005-03-31 14:17:33 0000 -------
ceho, I'm sorry for not responding -- I've been slightly short on time.  I will
try and get this into portage in the next few days (friday or monday/tuesday)
and list you in the metadata as the maintainer-by-proxy.

------- Comment #7 From Seemant Kulleen (RETIRED) 2005-04-06 06:59:02 0000 -------
ceho -- couple of notes:

please stop attaching tarballs to bugzilla.  I don't look at attached tarballs at all.  As a matter of policy, we require only plaintext attachments for ebuilds and patches.  I don't need ChangeLog, metadata, digest or any of that, just ebuild and patch.

Please reattach (and also -- do you have an ebuild for liblockdev, or is there some other bug report with it attached?).

------- Comment #8 From ceho@elit.net.pl 2005-04-06 09:02:11 0000 -------
Created an attachment (id=55484) [edit]
Ebuild for digitemp 3.3.2

Sorry for tarballs. I'm attaching plaintext version of ebuild, and in the next
attachment a patch which is needed by this ebuild.

------- Comment #9 From ceho@elit.net.pl 2005-04-06 09:04:39 0000 -------
Created an attachment (id=55485) [edit]
patch needed to compile without liblockdev

Here is a patch that is needed by the ebuild. For now there is now lockdev
support, I can add this feature when liblockdev will appear in portage.
"lockdev" flag is for future use.

------- Comment #10 From Seemant Kulleen (RETIRED) 2005-04-06 13:29:55 0000 -------
ceho, will you make an ebuild for liblockdev then?

------- Comment #11 From ceho@elit.net.pl 2005-04-06 13:39:30 0000 -------
I don't know. It could be difficult, because it may conflict with portage
mechanism (it already uses /var/lock). I hope that someone else could make an
liblockdev ebuild, so I've made an lockdev flag for future use.

------- Comment #12 From Seemant Kulleen (RETIRED) 2005-04-11 12:36:03 0000 -------
ceho, what does lockdev actually do?

------- Comment #13 From ceho@elit.net.pl 2005-04-11 13:53:14 0000 -------
It is a library which locks device when a proces is accessing it. This prevents
from accessing multiple processes same device in one time.

------- Comment #14 From ceho@elit.net.pl 2005-04-14 08:37:59 0000 -------
So what with the ebuild ? Will it be added to portage ?

------- Comment #15 From Seemant Kulleen (RETIRED) 2005-04-19 06:40:41 0000 -------
thanks ceho, version bumped.  I didn't bother with the lockdev USE flag --
we'll revisit as and when necessary (once lockdev is in portage, if it ever
makes it).

First Last Prev Next    No search results available      Search page      Enter new bug